Package org.apache.storm.blobstore

## Class MigrateBlobs

- java.lang.Object
- - org.apache.storm.blobstore.MigrateBlobs

-     public class MigrateBlobs
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MigrateBlobs()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `copyBlobStoreKeys​(BlobStore bsFrom, Subject whoFrom, BlobStore bsTo, Subject whoTo)` |
    `protected static void` | `deleteAllBlobStoreKeys​(BlobStore bs, Subject who)` |
    `static void` | `main​(String[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrateBlobs

          public MigrateBlobs()

  - ### Method Detail

    - #### deleteAllBlobStoreKeys

          protected static void deleteAllBlobStoreKeys​(BlobStore bs,
                                                       Subject who)
                                                throws AuthorizationException,
                                                       KeyNotFoundException

      Throws:
        `AuthorizationException`
        `KeyNotFoundException`

    - #### copyBlobStoreKeys

          protected static void copyBlobStoreKeys​(BlobStore bsFrom,
                                                  Subject whoFrom,
                                                  BlobStore bsTo,
                                                  Subject whoTo)
                                           throws AuthorizationException,
                                                  KeyAlreadyExistsException,
                                                  IOException,
                                                  KeyNotFoundException

      Throws:
        `AuthorizationException`
        `KeyAlreadyExistsException`
        `IOException`
        `KeyNotFoundException`

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`